﻿/*
 * *Created by PoLeung
 * *Email 30930572@qq.com
 * *Create date 2020-11-04
 * *Copyright LockDataV
 * *Desc data visualization project based on echarts4.0.js.
 */

/*页面全局设置*/
@charset "utf-8";

:root {
    --gradient: linear-gradient(135deg, rgba(2, 43, 193, 0.5) 10%, rgba(4, 8, 112, 0.5) 100%);
}

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

body {
    padding: 0px;
    margin: 0px;
    font-family: "微软雅黑";
    color: #666;
    font-size: 16px;
    background: #090e3f url('../images/mainbg.jpg') no-repeat center top;
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
}

li {
    list-style-type: none;
}

i {
    margin: 0px;
    padding: 0px;
    text-indent: 0px;
}

img {
    border: none;
    max-width: 100%;
}

a {
    text-decoration: none;
    color: #399bff;
}

a.active, a:focus {
    outline: none !important;
    text-decoration: none;
}

ol, ul, p, h1, h2, h3, h4, h5, h6 {
    padding: 0;
    margin: 0
}

a:hover {
    color: #06c;
    text-decoration: none !important
}

.clearfix:after, .clearfix:before {
    display: table;
    content: " "
}

.clearfix:after {
    clear: both
}

/*定义滚动条高宽及背景 高宽分别对应横竖滚动条的尺寸*/
::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background-color: rgba(255, 255, 255, 0.2);
}

/*定义滚动条轨道 内阴影+圆角*/
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 8px rgb(1, 64, 118);
    border-radius: 2px;
    background-color: rgba(245, 245, 245, 0.2);
}

/*定义滑块 内阴影+圆角*/
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 8px #014076;
    background-color: #555;
}

/*加载动画*/
.loading {
    position: fixed;
    left: 0;
    top: 0;
    font-size: 16px;
    z-index: 100000000;
    width: 100%;
    height: 100%;
    background: #1a1a1c;
    text-align: center;
}

.loadbox {
    position: absolute;
    width: 160px;
    height: 150px;
    color: rgba(255, 255, 255, .6);
    left: 50%;
    top: 50%;
    margin-top: -100px;
    margin-left: -75px;
}

.loadbox img {
    margin: 10px auto;
    display: block;
    width: 40px;
}

/*头部CSS*/
.top {
    height: 124px;
    width: 100%;
    float: left;
    line-height: 124px;
    text-align: center;
    background: url("../images/topbg.png") no-repeat center center;
}

.t1 {
    font-size: 3.5rem;
    color: #effc06;
    margin-top: -1.0rem;
}

.subt {
    font-size: 1.2rem;
    color: #00fcf9;
    font-family: "Arial";
    margin-top: -4.2rem;
}

#companyName {
    float: right;
    color: #02bcfe;
    font-size: 1.2rem;
    margin-top: -85px;
    margin-right: 20px;
}

/*大屏主体设置*/
.mainbox {
    padding: 10px 20px;
    width: 100%;
}

.mainbox > ul {
    margin-left: -.4rem;
    margin-right: -.4rem;
}

.mainbox > ul > li {
    float: left;
    padding: 0 .4rem
}

.mainbox > ul > li {
    width: 50%
}

/*底部主屏*/
.mainbox2 {
    padding: 5px 20px 0 10px;
    width: 100%;
}

.mainbox2 > ul {
    margin: 0rem
}

.mainbox2 > ul > li {
    float: left;
    padding: 0 .4rem;
    height: 98%;
}

.mainbox2 > ul > li:first-child {
    width: 35%
}

.mainbox2 > ul > li:nth-child(2) {
    width: 65%
}

.boxall {
    padding: 10px;
    position: relative;
    margin-bottom: 15px;
    z-index: 10;
}

.navboxall {
    height: calc(100% - 10px);
}

/*数据指标装饰框*/
.rim1 {
    position: relative;
    background: url("../images/boder_bg1.png");
    background-size: 100% 100%;
    padding: 10px;
    margin-bottom: 15px;
    z-index: 10;
}

.rim2 {
    position: relative;
    background: url("../images/boder_bg2.png");
    background-size: 100% 100%;
    padding: 10px;
    margin-bottom: 15px;
    z-index: 99;
}

.rim3 {
    position: relative;
    background: url("../images/boder_bg3.png");
    background-size: 100% 100%;
    padding: 10px;
    margin-bottom: 15px;
    z-index: 10;
}

.rim4 {
    position: relative;
    background: url("../images/boder_bg4.png");
    background-size: 100% 100%;
    padding: 10px;
    margin-bottom: 15px;
    z-index: 10;
}

.alltitle {
    font-size: 1.125rem;
    color: rgba(255, 255, 255, 0.8);
    font-weight: bold;
    margin: 0px 0px 0px 55px;
    text-align: left;
}

/*切换按钮*/
.menu {
    display: inline-block;
    margin-left: -8px;
    margin-top: 5px;
    width: 100%;
}

.tabName {
    float: left;
    font-size: 1.125rem;
    color: rgba(255, 255, 255, 0.8);
    font-weight: bold;
    margin: 0px 0px 0px 55px;
    width: 55%;
}

.tabBtn {
    width: 27%;
    float: right;
}

.tabBtn span {
    display: inline-block;
    background-image: var(--gradient);
    border-radius: 50%;
    width: 0.8rem;
    height: 0.8rem;
}

.tabBtn span:hover {
    background-color: #02bcfe;
    cursor: pointer;
}

.tabBtn label {
    display: inline-block;
    color: rgba(255, 255, 255, 0.7);
    font-size: 0.875rem;
    width: 3rem;
    height: 1rem;
    line-height: 1rem;
    margin-left: 0.3rem;
    padding-bottom: 0.5rem;
}

.active {
    background-color: #FF0033;
}

.btnAct {
    opacity: 1;
}

/*表格*/
.table1 {
    width: 100%;
    margin: 10px auto;
    padding: 0 0 10px 0;
}

.table1 th {
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    border-left: 1px solid rgba(255, 255, 255, 0.1);
    background-color: rgba(13, 37, 134, 0.6);
    text-align: center;
    font-size: 1rem;
    height: 2rem;
    color: rgba(0, 252, 249, 0.8);
}

.table1 th:first-child {
    border-left: 1px solid rgba(255, 255, 255, 0);
}

.table1 td {
    color: rgba(255, 255, 255, .8);
    height: 2rem;
    font-size: 0.8rem;
    text-align: center;
    border-left: 1px solid rgba(255, 255, 255, 0.1);
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.table1 td:first-child {
    border-left: 1px solid rgba(255, 255, 255, 0);
}

/*文本*/
.txt {
    width: 96%;
    margin: 20px auto;
    color: rgba(255, 255, 255, 0.7);
}

.txt:first-letter {
    font-size: 2rem;
    float: left;
    padding-right: 5px;
    font-weight: bold;
    color: rgba(0, 252, 249, 0.7);
}

/*图片边框*/
.boxshadow {
    box-shadow: inset 0px 0px 15px 10px #0b1488;
}

.imgBox {
    border: 1px solid #1a2bad;
}

.navbox {
    background-image: var(--gradient);
    height: 2rem;
    line-height: 2rem;
    font-size: 1.1rem;
    color: rgba(255, 255, 255, 0.8);
    font-weight: bold;
    padding-left: 10px;
}

.navimg {
    padding: 0.5rem;
    text-align: center;
    margin: auto;
    height: 100%;
}

.navimg img {
    width: 98%;
    max-height: 90%;
    opacity: 0.7;
    vertical-align: middle;
}

.navimg img:hover {
    opacity: 1;
    cursor: pointer;
}

/*指标菜单*/
.norm {
    width: 98%;
    margin: 0px auto;
    height: calc(100% - 20px);
}

.norm1 {
    float: left;
    width: 49%;
    float: left;
    height: 70%;
}

.norm2 {
    float: left;
    width: 49%;
    height: 70%;
    margin-left: 1%;
}

/*图表*/
#leftLine, #rightLine {
    width: 100%;
    height: 3rem;
    margin-top: 5px;
}

#leftRuler, #rightRuler {
    width: 100%;
    height: 1.5rem;
    margin: 3px 0;
}

#leftProLine, #rightProLine {
    width: 100%;
    height: 1rem;
}

#cave {
    width: 100%;
    height: 5rem;
    margin: 3px 0;
}

/*底部指标*/

/*表格信息*/
.table_l, .table_r {
    margin-top: 1.2rem;
}

.table_l {
    float: left;
    width: 60%;
}

.table_r {
    float: left;
    width: 36%;
    margin-left: 2%;
}

.table2, .table3 {
    width: 100%;
    margin: 5px auto;
}

.table2 td {
    color: rgba(255, 255, 255, .8);
    height: 1.95rem;
    font-size: 0.8rem;
    text-align: center;
    border-left: 1px solid rgba(255, 255, 255, 0.1);
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.table2 td:first-child {
    width: 40%;
    text-align: left;
    padding-left: 1rem;
}

.table2 tr:last-child td {
    border-bottom: 0px solid rgba(255, 255, 255, 0);
}

.table3 td {
    height: 2.565rem;
}

.table3 tr td:first-child {
    color: rgba(255, 255, 255, .8);
    font-size: 0.8rem;
    border-left: 1px solid rgba(255, 255, 255, 0.1);
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.table3 tr td:nth-child(2) {
    color: rgba(255, 255, 255, .8);
    width: 20%;
    font-size: 0.8rem;
    text-align: center;
    border-left: 1px solid rgba(255, 255, 255, 0.1);
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.table3 td:first-child {
    border-left: 1px solid rgba(255, 255, 255, 0);
    text-align: left;
    padding-left: 1rem;
}

.table3 tr:last-child td {
    border-bottom: 0px solid rgba(255, 255, 255, 0);
}

/*3D调用*/
.nav {
    height: 35px;
    width: 100%;
    background: url("../images/nav_bg.png") no-repeat left center;
}

.btnorm {
    display: inline-block;
    width: 100%;
    height: calc(100% - 20px);
    margin: 15px auto;
}

.btnorm1 {
    width: 40%;
    float: left;
    height: 100%;
}

.btnorm2 {
    float: left;
    width: 58%;
    height: 100%;
    margin-left: 1%;
}

/*版权*/
.copyright {
    color: #2183c5;
    font-size: 0.8rem;
    text-align: center;
    margin: 0.5rem auto;
    background: url("../images/bottom_bg.png") no-repeat center;
}